//------------------------------------------------------------------------------
// MainWinRes.java:
//		Implementation of "control creator" class MainWinRes
//------------------------------------------------------------------------------
import java.awt.*;
import DialogLayout;

public class MainWinRes
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Label         IDC_TITLE;
	Label         IDC_STATUS;
	Label         IDC_STATIC3;
	TextField     IDC_WORD;
	Button        IDC_LOOKUP;
	Label         IDC_STATIC4;
	TextArea      IDC_RESULTS;


	// Constructor
	//--------------------------------------------------------------------------
	public MainWinRes (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// CreateControls should be called only once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// m_Parent must be extended from the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since a given font may not be supported across all platforms, it
		// is safe to modify only the size of the font, not the typeface.
		//----------------------------------------------------------------------
	    Font OldFnt = m_Parent.getFont();
	    if (OldFnt != null)
	    {
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 8);

    		m_Parent.setFont(NewFnt);
	    }

		// All position and sizes are in dialog logical units, so we use a
		// DialogLayout as our layout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 297, 250);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		IDC_TITLE = new Label ("Java Internet Dictionary Client", Label.CENTER);
		m_Parent.add(IDC_TITLE);
		m_Layout.setShape(IDC_TITLE, 21, 18, 255, 15);

		IDC_STATUS = new Label ("[status]", Label.CENTER);
		m_Parent.add(IDC_STATUS);
		m_Layout.setShape(IDC_STATUS, 21, 40, 255, 8);

		IDC_STATIC3 = new Label ("Word to Lookup:", Label.LEFT);
		m_Parent.add(IDC_STATIC3);
		m_Layout.setShape(IDC_STATIC3, 19, 60, 54, 8);

		IDC_WORD = new TextField ("");
		m_Parent.add(IDC_WORD);
		m_Layout.setShape(IDC_WORD, 84, 57, 95, 14);

		IDC_LOOKUP = new Button ("Lookup Word...");
		m_Parent.add(IDC_LOOKUP);
		m_Layout.setShape(IDC_LOOKUP, 202, 57, 74, 14);

		IDC_STATIC4 = new Label ("Results:", Label.LEFT);
		m_Parent.add(IDC_STATIC4);
		m_Layout.setShape(IDC_STATIC4, 19, 79, 35, 8);

		IDC_RESULTS = new TextArea ("");
		m_Parent.add(IDC_RESULTS);
		m_Layout.setShape(IDC_RESULTS, 17, 90, 264, 140);

		m_fInitialized = true;
		return true;
	}
}
