//------------------------------------------------------------------------------
// MainWindowRes.java:
//		Implementation of "control creator" class MainWindowRes
//------------------------------------------------------------------------------
import java.awt.*;
import DialogLayout;

public class MainWindowRes
{
	Container    m_Parent       = null;
	boolean      m_fInitialized = false;
	DialogLayout m_Layout;

	// Control definitions
	//--------------------------------------------------------------------------
	Label         IDC_STATIC1;
	Label         IDC_STATIC2;
	Label         IDC_CURRENTCONNECTIONS;
	Label         IDC_TOTALCONNECTIONS;
	List          IDC_ACTIVITY;
	Label         IDC_STATIC5;
	Label         IDC_STATIC6;
	Label         IDC_WORDSFOUND;
	Label         IDC_STATIC8;
	Label         IDC_WORDSNOTFOUND;


	// Constructor
	//--------------------------------------------------------------------------
	public MainWindowRes (Container parent)
	{
		m_Parent = parent;
	}

	// Initialization.
	//--------------------------------------------------------------------------
	public boolean CreateControls()
	{
		// CreateControls should be called only once
		//----------------------------------------------------------------------
		if (m_fInitialized || m_Parent == null)
			return false;

		// m_Parent must be extended from the Container class
		//----------------------------------------------------------------------
		if (!(m_Parent instanceof Container))
			return false;

		// Since a given font may not be supported across all platforms, it
		// is safe to modify only the size of the font, not the typeface.
		//----------------------------------------------------------------------
	    Font OldFnt = m_Parent.getFont();
	    if (OldFnt != null)
	    {
			Font NewFnt = new Font(OldFnt.getName(), OldFnt.getStyle(), 8);

    		m_Parent.setFont(NewFnt);
	    }

		// All position and sizes are in dialog logical units, so we use a
		// DialogLayout as our layout manager.
		//----------------------------------------------------------------------
		m_Layout = new DialogLayout(m_Parent, 270, 225);
		m_Parent.setLayout(m_Layout);
		m_Parent.addNotify();

		Dimension size   = m_Layout.getDialogSize();
		Insets    insets = m_Parent.insets();
		
		m_Parent.resize(insets.left + size.width  + insets.right,
                        insets.top  + size.height + insets.bottom);

		// Control creation
		//----------------------------------------------------------------------
		IDC_STATIC1 = new Label ("Current Connections:", Label.LEFT);
		m_Parent.add(IDC_STATIC1);
		m_Layout.setShape(IDC_STATIC1, 13, 14, 70, 8);

		IDC_STATIC2 = new Label ("Total Connections:", Label.LEFT);
		m_Parent.add(IDC_STATIC2);
		m_Layout.setShape(IDC_STATIC2, 13, 32, 70, 8);

		IDC_CURRENTCONNECTIONS = new Label ("[current]", Label.LEFT);
		m_Parent.add(IDC_CURRENTCONNECTIONS);
		m_Layout.setShape(IDC_CURRENTCONNECTIONS, 104, 14, 52, 8);

		IDC_TOTALCONNECTIONS = new Label ("[total]", Label.LEFT);
		m_Parent.add(IDC_TOTALCONNECTIONS);
		m_Layout.setShape(IDC_TOTALCONNECTIONS, 104, 32, 49, 8);

		IDC_ACTIVITY = new List (1, false);
		m_Parent.add(IDC_ACTIVITY);
		m_Layout.setShape(IDC_ACTIVITY, 12, 98, 245, 113);

		IDC_STATIC5 = new Label ("Activity Report:", Label.LEFT);
		m_Parent.add(IDC_STATIC5);
		m_Layout.setShape(IDC_STATIC5, 13, 84, 57, 8);

		IDC_STATIC6 = new Label ("Words Found:", Label.LEFT);
		m_Parent.add(IDC_STATIC6);
		m_Layout.setShape(IDC_STATIC6, 13, 50, 70, 8);

		IDC_WORDSFOUND = new Label ("[words found]", Label.LEFT);
		m_Parent.add(IDC_WORDSFOUND);
		m_Layout.setShape(IDC_WORDSFOUND, 104, 50, 48, 8);

		IDC_STATIC8 = new Label ("Words Not Found:", Label.LEFT);
		m_Parent.add(IDC_STATIC8);
		m_Layout.setShape(IDC_STATIC8, 13, 68, 70, 8);

		IDC_WORDSNOTFOUND = new Label ("[words not found]", Label.LEFT);
		m_Parent.add(IDC_WORDSNOTFOUND);
		m_Layout.setShape(IDC_WORDSNOTFOUND, 104, 68, 60, 8);

		m_fInitialized = true;
		return true;
	}
}
